public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/raptor/files/, media-libs/raptor/
Date: Wed,  3 Oct 2018 14:51:17 +0000 (UTC)	[thread overview]
Message-ID: <1538578234.2b4cd933be0aa6b6e224415e17a22c9ea4b49a81.asturm@gentoo> (raw)

commit:     2b4cd933be0aa6b6e224415e17a22c9ea4b49a81
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Wed Oct  3 14:39:57 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed Oct  3 14:50:34 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2b4cd933

media-libs/raptor: Fix heap overflows, gtk-doc location, EAPI-7

Bug: https://bugs.gentoo.org/621186
Closes: https://bugs.gentoo.org/604290
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
Package-Manager: Portage-2.3.50, Repoman-2.3.11

 .../raptor/files/raptor-2.0.15-heap-overflow.patch | 42 +++++++++++++
 media-libs/raptor/raptor-2.0.15-r1.ebuild          | 71 ++++++++++++++++++++++
 2 files changed, 113 insertions(+)

diff --git a/media-libs/raptor/files/raptor-2.0.15-heap-overflow.patch b/media-libs/raptor/files/raptor-2.0.15-heap-overflow.patch
new file mode 100644
index 00000000000..3418d4bfd26
--- /dev/null
+++ b/media-libs/raptor/files/raptor-2.0.15-heap-overflow.patch
@@ -0,0 +1,42 @@
+From 590681e546cd9aa18d57dc2ea1858cb734a3863f Mon Sep 17 00:00:00 2001
+From: Dave Beckett <dave@dajobe.org>
+Date: Sun, 16 Apr 2017 23:15:12 +0100
+Subject: [PATCH] Calcualte max nspace declarations correctly for XML writer
+
+(raptor_xml_writer_start_element_common): Calculate max including for
+each attribute a potential name and value.
+
+Fixes Issues #0000617 http://bugs.librdf.org/mantis/view.php?id=617
+and #0000618 http://bugs.librdf.org/mantis/view.php?id=618
+---
+ src/raptor_xml_writer.c | 7 ++++---
+ 1 file changed, 4 insertions(+), 3 deletions(-)
+
+diff --git a/src/raptor_xml_writer.c b/src/raptor_xml_writer.c
+index 693b946..0d3a36a 100644
+--- a/src/raptor_xml_writer.c
++++ b/src/raptor_xml_writer.c
+@@ -181,9 +181,10 @@ raptor_xml_writer_start_element_common(raptor_xml_writer* xml_writer,
+   size_t nspace_declarations_count = 0;  
+   unsigned int i;
+ 
+-  /* max is 1 per element and 1 for each attribute + size of declared */
+   if(nstack) {
+-    int nspace_max_count = element->attribute_count+1;
++    int nspace_max_count = element->attribute_count * 2; /* attr and value */
++    if(element->name->nspace)
++      nspace_max_count++;
+     if(element->declared_nspaces)
+       nspace_max_count += raptor_sequence_size(element->declared_nspaces);
+     if(element->xml_language)
+@@ -237,7 +238,7 @@ raptor_xml_writer_start_element_common(raptor_xml_writer* xml_writer,
+         }
+       }
+ 
+-      /* Add the attribute + value */
++      /* Add the attribute's value */
+       nspace_declarations[nspace_declarations_count].declaration=
+         raptor_qname_format_as_xml(element->attributes[i],
+                                    &nspace_declarations[nspace_declarations_count].length);
+-- 
+2.9.3

diff --git a/media-libs/raptor/raptor-2.0.15-r1.ebuild b/media-libs/raptor/raptor-2.0.15-r1.ebuild
new file mode 100644
index 00000000000..55dca5e226b
--- /dev/null
+++ b/media-libs/raptor/raptor-2.0.15-r1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit libtool
+
+MY_PN=${PN}2
+MY_P=${MY_PN}-${PV}
+
+DESCRIPTION="The RDF Parser Toolkit"
+HOMEPAGE="http://librdf.org/raptor/"
+SRC_URI="http://download.librdf.org/source/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2 LGPL-2.1"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="+curl debug json static-libs unicode"
+
+DEPEND="
+	dev-libs/libxml2
+	dev-libs/libxslt
+	curl? ( net-misc/curl )
+	json? ( dev-libs/yajl )
+	unicode? ( dev-libs/icu:= )
+"
+RDEPEND="${DEPEND}
+	!media-libs/raptor:0
+"
+BDEPEND="
+	>=sys-devel/bison-3
+	>=sys-devel/flex-2.5.36
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/${MY_P}"
+
+DOCS=( AUTHORS ChangeLog NEWS NOTICE README )
+HTML_DOCS=( {NEWS,README,RELEASE,UPGRADING}.html )
+
+PATCHES=( "${FILESDIR}/${P}-heap-overflow.patch" )
+
+src_prepare() {
+	default
+	elibtoolize # Keep this for ~*-fbsd
+}
+
+src_configure() {
+	# FIXME: It should be possible to use net-nntp/inn for libinn.h and -linn!
+
+	local myeconfargs=(
+		--with-www=xml
+		--with-html-dir="${EPREFIX}"/usr/share/gtk-doc/html
+		$(use_enable debug)
+		$(use_with json yajl)
+		$(use_enable static-libs static)
+		$(usex unicode "--with-icu-config="${EPREFIX}"/usr/bin/icu-config" '')
+	)
+	use curl && myeconfargs+=( --with-www=curl )
+
+	econf "${myeconfargs[@]}"
+}
+
+src_test() {
+	emake -j1 test
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


             reply	other threads:[~2018-10-03 14:51 UTC|newest]

Thread overview: 7+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-10-03 14:51 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2019-02-09 12:59 [gentoo-commits] repo/gentoo:master commit in: media-libs/raptor/files/, media-libs/raptor/ Lars Wendler
2021-04-29  7:55 Miroslav Šulc
2022-07-17 14:23 Sam James
2022-09-10  1:57 Sam James
2022-11-04  2:24 Sam James
2024-08-11 12:20 Miroslav Šulc

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1538578234.2b4cd933be0aa6b6e224415e17a22c9ea4b49a81.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox